Subject: Re: [PATCH 1/2] Document the master@{n} reflog query syntax.

From: Andreas Ericsson <[email-masked]>
Date: Thu, 18 Jan 2007 11:33:03 +0100

Shawn O. Pearce wrote:
> Jim Treadway <[email-masked]> wrote:
>> On Wed, 17 Jan 2007, Shawn O. Pearce wrote:
>>> -  of the ref at a prior point in time.  This suffix may only be
>>> +  of the ref at a prior point in time.This suffix may only be
>> I'm guessing that the above was unintentional?
> 
> Yes.  Danngit.  Junio, can you hand edit that patch?
> 

I'm starting to see --amend as an extremely useful thing to have, and 
I'm sure Junio thinks the same. For fixes this small, it sure is easier 
to just --amend the commit than to ask for a new patch to apply.

Out of curiousity, how many other SCM's allow you to --amend a commit?

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231